Bug 461272 - Crashes opening a particular page
Crashes opening a particular page
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-09-05 09:56 EDT by Bastien Nocera
Modified: 2013-01-09 23:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 23:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-09-05 09:56:38 EDT
This segfaults:
$ epiphany -p http://www.101greatgoals.com/2008/09/robinho-still-thinks-he-signed-for-chelsea-ssn-on-kevin-keegans-resignation-from-newcastle/

epiphany-2.23.91-1.fc10.i386
xulrunner-1.9.0.1-2.fc10.i386
nspluginwrapper-1.1.0-6.fc10.i386
flash-plugin-9.0.124.0-release.i386

Backtrace:
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca2827 in poll () from /lib/libc.so.6
#2  0x034f0b34 in ?? () from /lib/libnspr4.so
#3  0x0117667f in nsSocketTransportService::Poll (this=<value optimized out>, wait=<value optimized out>, interval=Could not find the frame base for "nsSocketTransportService::Poll(int, unsigned int*)".
) at nsSocketTransportService2.cpp:349
#4  0x01176b94 in nsSocketTransportService::DoPollIteration (this=<value optimized out>, wait=<value optimized out>) at nsSocketTransportService2.cpp:644
#5  0x01176e50 in nsSocketTransportService::OnProcessNextEvent (this=<value optimized out>, thread=<value optimized out>, mayWait=<value optimized out>, depth=<value optimized out>) at nsSocketTransportService2.cpp:523
#6  0x0195f142 in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsThread.cpp:497
#7  0x0192c10c in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#8  0x011768ab in nsSocketTransportService::Run (this=<value optimized out>) at nsSocketTransportService2.cpp:565
#9  0x0195f19e in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsThread.cpp:510
#10 0x0192c10c in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#11 0x0195fa54 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#12 0x034f4f51 in ?? () from /lib/libnspr4.so
#13 0x00d7751f in ?? () from /lib/libpthread.so.0
#14 0x00cad0de in clone () from /lib/libc.so.6

Thread 7 (process 19109):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7b3c2 in pthread_cond_timedwait () from /lib/libpthread.so.0
#2  0x034eddbe in ?? () from /lib/libnspr4.so
#3  0x034eebe0 in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x01962804 in TimerThread::Run (this=<value optimized out>) at TimerThread.cpp:345
#5  0x0195f19e in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsThread.cpp:510
#6  0x0192c10c in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#7  0x0195fa54 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#8  0x034f4f51 in ?? () from /lib/libnspr4.so
#9  0x00d7751f in ?? () from /lib/libpthread.so.0
#10 0x00cad0de in clone () from /lib/libc.so.6

Thread 6 (process 19110):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7b095 in pthread_cond_wait () from /lib/libpthread.so.0
#2  0x034eec57 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x017650a3 in nsSSLThread::Run (this=<value optimized out>) at nsSSLThread.cpp:964
#4  0x017649ba in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x034f4f51 in ?? () from /lib/libnspr4.so
#6  0x00d7751f in ?? () from /lib/libpthread.so.0
#7  0x00cad0de in clone () from /lib/libc.so.6

Thread 5 (process 19113):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7b095 in pthread_cond_wait () from /lib/libpthread.so.0
#2  0x034eec57 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x034eecd7 in PR_Wait () from /lib/libnspr4.so
#4  0x0195e2c9 in nsAutoMonitor::Wait () at ../../dist/include/xpcom/nsAutoLock.h:340
#5  nsEventQueue::GetEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsEventQueue.cpp:85
#6  0x0195f174 in nsThread::nsChainedEventQueue::GetEvent () at nsThread.h:112
#7  nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsThread.cpp:501
#8  0x0192c10c in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#9  0x0195fa54 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#10 0x034f4f51 in ?? () from /lib/libnspr4.so
#11 0x00d7751f in ?? () from /lib/libpthread.so.0
#12 0x00cad0de in clone () from /lib/libc.so.6

Thread 4 (process 19111):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7b095 in pthread_cond_wait () from /lib/libpthread.so.0
#2  0x034eec57 in PR_WaitCondVar () from /lib/libnspr4.so
#3  0x01766211 in nsCertVerificationThread::Run (this=<value optimized out>) at nsCertVerificationThread.cpp:138
#4  0x017649ba in nsPSMBackgroundThread::nsThreadRunner (arg=Could not find the frame base for "nsPSMBackgroundThread::nsThreadRunner(void*)".
) at nsPSMBackgroundThread.cpp:44
#5  0x034f4f51 in ?? () from /lib/libnspr4.so
#6  0x00d7751f in ?? () from /lib/libpthread.so.0
#7  0x00cad0de in clone () from /lib/libc.so.6

Thread 3 (process 19122):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00ca2827 in poll () from /lib/libc.so.6
#2  0x02c8c27e in ?? () from /lib/libresolv.so.2
#3  0x02c8a469 in __libc_res_nquery () from /lib/libresolv.so.2
#4  0x02c8aacb in ?? () from /lib/libresolv.so.2
#5  0x02c8acc5 in __libc_res_nsearch () from /lib/libresolv.so.2
#6  0x00807093 in _nss_dns_gethostbyname4_r () from /lib/libnss_dns.so.2
#7  0x00c90b73 in ?? () from /lib/libc.so.6
#8  0x00c92947 in getaddrinfo () from /lib/libc.so.6
#9  0x034e74d9 in PR_GetAddrInfoByName () from /lib/libnspr4.so
#10 0x01180eb0 in nsHostResolver::ThreadFunc (arg=<value optimized out>) at nsHostResolver.cpp:697
#11 0x034f4f51 in ?? () from /lib/libnspr4.so
#12 0x00d7751f in ?? () from /lib/libpthread.so.0
#13 0x00cad0de in clone () from /lib/libc.so.6

Thread 2 (process 19115):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7b3c2 in pthread_cond_timedwait () from /lib/libpthread.so.0
#2  0x034eddbe in ?? () from /lib/libnspr4.so
#3  0x034eebe0 in PR_WaitCondVar () from /lib/libnspr4.so
#4  0x034eecd7 in PR_Wait () from /lib/libnspr4.so
#5  0x019612ed in nsAutoMonitor::Wait () at ../../dist/include/xpcom/nsAutoLock.h:340
#6  nsThreadPool::Run (this=<value optimized out>) at nsThreadPool.cpp:200
#7  0x0195f19e in nsThread::ProcessNextEvent (this=<value optimized out>, mayWait=<value optimized out>, result=<value optimized out>) at nsThread.cpp:510
#8  0x0192c10c in NS_ProcessNextEvent_P (thread=<value optimized out>, mayWait=<value optimized out>) at nsThreadUtils.cpp:227
#9  0x0195fa54 in nsThread::ThreadFunc (arg=<value optimized out>) at nsThread.cpp:254
#10 0x034f4f51 in ?? () from /lib/libnspr4.so
#11 0x00d7751f in ?? () from /lib/libpthread.so.0
#12 0x00cad0de in clone () from /lib/libc.so.6

Thread 1 (process 19096):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x00d7f4f0 in raise () from /lib/libpthread.so.0
#2  0x01116713 in nsProfileLock::FatalSignalHandler (signo=<value optimized out>) at nsProfileLock.cpp:212
#3  <signal handler called>
#4  _create_temp_xlib_surface () at cairo-xlib-utils.c:329
#5  cairo_draw_with_xlib (cr=<value optimized out>, callback=<value optimized out>, closure=<value optimized out>, dpy=<value optimized out>, width=<value optimized out>, height=<value optimized out>, is_opaque=<value optimized out>, 
    capabilities=<value optimized out>, result=<value optimized out>) at cairo-xlib-utils.c:541
#6  0x0199f751 in gfxXlibNativeRenderer::Draw (this=<value optimized out>, dpy=<value optimized out>, ctx=<value optimized out>, width=<value optimized out>, height=<value optimized out>, flags=<value optimized out>, output=<value optimized out>)
    at gfxXlibNativeRenderer.cpp:101
#7  0x012eaa29 in nsPluginInstanceOwner::Paint (this=<value optimized out>, aRenderingContext=Could not find the frame base for "nsPluginInstanceOwner::Paint(nsIRenderingContext&, nsRect const&)".
) at nsObjectFrame.cpp:4076
#8  0x012eaa6b in nsObjectFrame::PaintPlugin (this=<value optimized out>, aRenderingContext=Could not find the frame base for "nsObjectFrame::PaintPlugin(nsIRenderingContext&, nsRect const&)".
) at nsObjectFrame.cpp:1400
#9  0x012eaaea in PaintPlugin (aFrame=<value optimized out>, aCtx=<value optimized out>, aDirtyRect=<value optimized out>, aPt=<value optimized out>) at nsObjectFrame.cpp:1096
#10 0x012d90c6 in nsDisplayGeneric::Paint (this=Could not find the frame base for "nsDisplayGeneric::Paint(nsDisplayListBuilder*, nsIRenderingContext*, nsRect const&)".
) at ../../../../../base/nsDisplayList.h:862
#11 0x0128cee1 in nsDisplayList::Paint (this=<value optimized out>, aBuilder=<value optimized out>, aCtx=<value optimized out>, aDirtyRect=<value optimized out>) at nsDisplayList.cpp:296
#12 0x0128cf6a in nsDisplayWrapList::Paint (aDirtyRect=Could not find the frame base for "nsDisplayClip::Paint(nsDisplayListBuilder*, nsIRenderingContext*, nsRect const&)".
) at nsDisplayList.cpp:693
#13 nsDisplayClip::Paint (this=Could not find the frame base for "nsDisplayClip::Paint(nsDisplayListBuilder*, nsIRenderingContext*, nsRect const&)".
) at nsDisplayList.cpp:887
#14 0x0128cee1 in nsDisplayList::Paint (this=<value optimized out>, aBuilder=<value optimized out>, aCtx=<value optimized out>, aDirtyRect=<value optimized out>) at nsDisplayList.cpp:296
#15 0x0129dd2b in nsLayoutUtils::PaintFrame (aRenderingContext=<value optimized out>, aFrame=<value optimized out>, aDirtyRegion=<value optimized out>, aBackground=<value optimized out>) at nsLayoutUtils.cpp:988
#16 0x012a50e3 in PresShell::Paint (this=<value optimized out>, aView=<value optimized out>, aRenderingContext=<value optimized out>, aDirtyRegion=<value optimized out>) at nsPresShell.cpp:5413
#17 0x0151f54e in nsViewManager::RenderViews (this=<value optimized out>, aView=<value optimized out>, aRC=<value optimized out>, aRegion=<value optimized out>) at nsViewManager.cpp:614
#18 0x0151fb57 in nsViewManager::Refresh (this=<value optimized out>, aView=<value optimized out>, aContext=<value optimized out>, aRegion=<value optimized out>, aUpdateFlags=<value optimized out>) at nsViewManager.cpp:502
#19 0x0152063f in nsViewManager::DispatchEvent (this=<value optimized out>, aEvent=<value optimized out>, aStatus=<value optimized out>) at nsViewManager.cpp:1134
#20 0x0151af38 in HandleEvent (aEvent=<value optimized out>) at nsView.cpp:168
#21 0x01877990 in nsCommonWidget::DispatchEvent (this=<value optimized out>, aEvent=Could not find the frame base for "nsCommonWidget::DispatchEvent(nsGUIEvent*, nsEventStatus&)".
) at nsCommonWidget.cpp:158
#22 0x0187297e in nsWindow::OnExposeEvent (this=<value optimized out>, aWidget=Could not find the frame base for "nsWindow::OnExposeEvent(_GtkWidget*, _GdkEventExpose*)".
) at nsWindow.cpp:1763
#23 0x0187301a in expose_event_cb (widget=<value optimized out>, event=<value optimized out>) at nsWindow.cpp:4529
#24 0x05306c46 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#25 0x008281db in g_closure_invoke () from /lib/libgobject-2.0.so.0
#26 0x0083e625 in ?? () from /lib/libgobject-2.0.so.0
#27 0x0083fbbb in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#28 0x008401b6 in g_signal_emit () from /lib/libgobject-2.0.so.0
#29 0x0541bbae in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x05300ba3 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x001405c5 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#32 0x00140bdf in gdk_window_process_all_updates () from /usr/lib/libgdk-x11-2.0.so.0
#33 0x0527de6f in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#34 0x0012406b in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#35 0x00a742b1 in ?? () from /lib/libglib-2.0.so.0
#36 0x00a761f8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#37 0x00a798a3 in ?? () from /lib/libglib-2.0.so.0
#38 0x00a79dc2 in g_main_loop_run () from /lib/libglib-2.0.so.0
#39 0x05300fd9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x08072010 in main ()
Comment 1 Jesse Keating 2008-10-03 19:59:10 EDT
This works in Firefox/epiphany, are you still seeing an issue?
Comment 2 Matthias Clasen 2008-10-25 23:29:34 EDT
I also fail to reproduce a crash. Considering it fixed for now...

Note You need to log in before you can comment on or make changes to this bug.